Subject: bug#8158: Definition of auto-mode-alist

From: Reuben Thomas <[email-masked]>
Date: Wed, 2 Mar 2011 22:02:25 +0000

A comment in files.el says:

  ;; Note: The entries for the modes defined in cc-mode.el (c-mode,
  ;; c++-mode, java-mode and more) are added through autoload
  ;; directives in that file.  That way is discouraged since it
  ;; spreads out the definition of the initial value.

Isn't this a bit unmodular as Emacs continues to grow, and given loaddefs.el?

If the maintainers agree, then the last sentence should be changed to
encourage the removal of the initial values back into the relevant
mode files.

-- 
http://rrt.sc3d.org